Update Swatch
1 min
PUT
https://api.upstartcommerce.com/v1/catalog/swatches/{swatchId}
swatchIdobjectID of the swatch to be updated
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site this call is for.
x-upstart-sitestringUnique identifier for the site.
bodyobject<p>This defines the structure, used to update an existing swatch.</p>
200The updated swatch
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
curl --request PUT \
--url https://api.upstartcommerce.com/v1/catalog/swatches/{swatchId} \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '{
"name": "",
"collection": ""
}'